
Redmine - Defect #9796

Redmine cpu use and memory consumption problem

2011-12-14 12:50 - Keidson Freitas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.1

Description

This maybe relates to the issue #633, but i am able to reproduce it. When i click on any file that are in a revision, to open the entire

file, my server cpu goes to 100% and memory consumption starts to grow until the server crashes. This does not happen when i click

in diff to see only the file diff. I am using mongrel 1.2.0 pre with the latest patchs and subversion server 1.7.1 via http protocol. I am

creating a new issue because the issue #633 is very old and no one seems to be looking for it anymore. When a restart the server

the production.log show a output that seems like he was trying to load all files from repository. Sorry for the bad english.

Related issues:

Is duplicate of Redmine - Defect #9813: Redmine Takes Too Long On Large Subve... New 2011-12-15

History

#1 - 2011-12-17 02:14 - Toshi MARUYAMA

- Assignee deleted (Toshi MARUYAMA)

#2 - 2011-12-17 02:15 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

As discussing at #9813, remote svn is very slow.

Files

mongrel.log 12.9 KB 2011-12-14 Keidson Freitas

production.log 314 KB 2011-12-14 Keidson Freitas
